package com.bs.ct.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import com.bs.ct.domain.CtTaskFeedback;
import com.bs.ct.domain.CtTaskInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务机构信息对象 ct_task_branch
 *
 * @author bs
 * @date 2025-02-22
 */
@Data
public class MyTaskVO extends BaseEntity{

    /** 任务标题 */

    @Excel(name = "任务名称")
    @ApiModelProperty(value = "任务名称")
    private String taskTitle;

    /** 任务类型 */

    @Excel(name = "任务类型",dictType = "task_type")
    @ApiModelProperty(value = "任务类型")
    private String taskType;

    /** 任务要求 */

    @Excel(name = "任务内容")
    @ApiModelProperty(value = "任务内容")
    private String taskContent;


    /** 发布单位 */

    @Excel(name = "发布单位")
    @ApiModelProperty(value = "发布单位")
    @TableField(exist = false)
    private String branchNameParent;


    /** 发布部门 */

    @Excel(name = "发布部门")
    @ApiModelProperty(value = "发布部门")
    private String branchName;

    /** 发布人 */

    @Excel(name = "发布人")
    @ApiModelProperty(value = "发布人")
    private String taskInitiator;

    @Excel(name = "任务期限")
    @ApiModelProperty(value = "任务期限")
    private String startToEndDate;


    /** 任务状态 */

    @Excel(name = "任务状态")
    @ApiModelProperty(value = "任务状态")
    private String taskStatus;


    @TableField(exist = false)
    private CtTaskFeedback sdTaskOtherFeedbackByCreate;

    @TableField(exist = false)
    private CtTaskFeedback sdTaskOtherFeedbackByFeedback;

    @TableField(exist = false)
    private CtTaskInfo sdTaskOther;

}
